/*Importing Google fonts*/
@import url('https://fonts.googleapis.com/css2?family=Exo+2:ital,wght@0,100..900;1,100..900&family=Exo:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Exo 2", sans-serif;
}
:root{
    /* Colors */
    --background-color: #FFF6E5;

    /* Colors Color*/
    --Primary-color: #000000;
    --Secondary-color: #377128;

    /* Font size */
    --font-size-s: 0.9rem;
    --font-size-n: 1rem;
    --font-size-m: 1.12rem;
    --font-size-l: 1.5rem;
    --font-size-xl: 2rem;
    --font-size-xxl: 2.3rem;

    /*Font weight*/
    --font-weight-normal: 400;
    --font-weight-meduim: 500;
    --font-weight-semibold: 600;
    --font-weight-bold: 700;

    /*Border raduis*/
    --border-raduis-s: 8px;
    --border-raduis-m: 30px;
    --border-raduis-circle: 50%;

    /*Site max width*/
    --site-max-width: 1300px;

}

header{
    padding: 10px;
    align-items: center;
    background: var(--background-color);
}
header .navbar{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
ul{
    list-style: none;
}
a{
    text-decoration: none;
}
button{
    cursor: pointer;
    border: none;
    background: none;
}
/* Logo image */
.navbar .nav-logo .logo-image{
    width: 240px;
    height: 240px;
    padding-left: 4px;
}
/* Instagram image */
.navbar .nav-menu .nav-link .instagram-image{
    width: 30px;
    height: 30px;
}
/* Home Products Farming Contrant */
.navbar .nav-menu .nav-link{
    color: var(--Primary-color);
    text-align: center;
    font-weight: var(--font-weight-bold);
    font-size: 23px;
    
}
.navbar .nav-menu{
    display: flex;
    gap: 30px;
    margin: 0px 0px 60px;
}
.navbar :where(#menu-close-button, #menu-open-button){
    display: none;
}

.hero-section{
    background: var(--background-color);   
}
.hero-image{
    width: 100%;
    margin-top: 10px;
    margin-bottom: 15px;
    display: inline-block;
    vertical-align: middle;
}
.hero-image1{
        display: none;
    }
/* company section*/
.company-section{
    background: var(--background-color);
    padding: 30px 0 10px;
}
.company-image{
    width: 100px;
    height: 85px;
}
.company-section .company-list{
    display: flex;
    flex-wrap: wrap;
    gap: 35px;
    align-items: center;
    justify-content: center;
}
/* Testimonials section styling*/
.testimonials-section{
    padding: 50px 0 5px;
    background: var(--background-color);
}
.testimonials-section .section-title{
    display: block;
    text-align: center;
    font-size: 55px;
    margin-bottom: 10px;
}
.testimonials-section .section-title1{
    display: block;
    text-align: center;
    font-size: 25px;
    color: #77c065;
}
.testimonials-section .slider-wrapper{
    overflow: hidden;
    margin: 0 60px 50px;
}
.testimonials-section .testimonials{
    user-select: none;
    display: flex;
    padding: 15px;
    text-align: center;
    flex-direction: column;
    align-items: center;
}
.testimonials-section .testimonials .user-image{
    width: 350px;
    height: 350px;
    object-fit: cover;
    margin-bottom: 50px;
    border-radius: var(--border-raduis-circle);
}
.testimonials-section .testimonials .name{
    margin-bottom: 16px;
    font-size: var(--font-size-m);
}
.testimonials-section .swiper-pagination-bullet{
    width: 10px;
    height: 10px;
    opacity: 1;
    background: #475f37;
}
.testimonials-section .swiper-slide-button{
    margin-top: -50px;
    color: #475f37;
    transition: 0.3s ease;
}
.testimonials-section .swiper-slide-button:hover{
    color: #77c065;
}
/*green-section*/
.green-section{
    min-height: 100vh;
    background: var(--background-color);
}
.green-section .section-content{
    display: flex;
    align-items: center;
    min-height: 100vh;
    color: var(--Primary-color);
    justify-content: center;
}
.green-section .green-details{
    padding: 15px 0px 10px 70px;
}
.green-section .green-details .title{
    font-size: 90px;
    margin: 20px 0px 5px;
    padding: 15px 150px 10px 10px;
}
.green-section .green-details .subtitle{
    margin: 0px 0px 25px;
    padding: 15px 0px 30px 10px;
    max-width: 70%;
    font-size: 23px;
    font-weight: var(--font-weight-normal);
}
.green-section .img{
    width: 100%;
    max-width: 500px;
    object-fit: cover;
    margin: 15px 0px;
}
.green-image-wrapper{
    padding: 10px 0px 0 300px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 15rem;
}
.green-section .green-details{
    flex: 1;
}
.green-section .green-details .button{
    margin: 10px 0px 30px;
    padding: 15px 15px 15px;
    font-weight: var(--font-weight-bold);
    color: #377128;
    border-radius: 0;
    background: #abf299;
    transition: 0.3s ease;
}
.green-section .green-details .button:hover{
    color: #77c065;
}

/* product section*/
.product-section{
    background: var(--background-color);   
    padding: 50px 0 30px;
}
.product-image{
    width: 300px;
    height: 300px;
 }

.product-section .product-list{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    align-items: center;
    justify-content: space-between;
    
}
.product-section .product-list .product-item{
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    justify-content: space-between;
    width: calc(100% / 3 - 20px);
}
.product-section .product-list .product-item .product-image{
    width: 83%;
    aspect-ratio: 1;
    margin-bottom: 10px;
    object-fit: contain;
}
.product-section .product-list .product-item .name{
    margin: 12px;
    font-size: 19px;
    font-weight: var(--font-weight-meduim);
}
.block-section{
    background: var(--background-color);
    padding: 75px 0 30px;
}
.block-section .block-list{
    display: flex;
    flex-wrap: wrap;
    max-width: 1300PX;
    gap: 20px;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    padding: 0px 20px 0px 20px;
}
.block-section .block-list .block-item{
    overflow: hidden;
    border-radius: var(--border-raduis-s);
    width: calc(100% / 4 - 32px);
}
.block-section .block-item .block-image{
    width: 100%;
    height: 100%;
    transition: 0.3s ease;
}
.contant-section{
    background: var(--background-color);
    text-align: center;
    align-items: flex-start;
    padding-top: 20px;
    padding-bottom: 150px;
    flex-direction: column;
    justify-content: space-between;

}
.contant-section .section-content{
    text-align: left;
    margin-bottom: 120px;
    display: flex;
    object-fit: fill;
    max-width: 1200px;
    margin-bottom: 0;
    padding-left: 15px;
    padding-right: 15px;
    gap: 170px;
    position: static;
    margin: 0 auto;
}
.contant-section .section-content .footer-heading {
    letter-spacing: 2px;
    text-transform: uppercase;
    white-space: normal;
    margin-top: 0;
    margin-bottom: 20px;
    font-size: 18px;
    font-weight: 600;
    line-height: 1.5;
    white-space: nowrap;
}
.contant-section .section-content .explore-content .p{
    letter-spacing: 0;
    font-size: 16px;
    line-height: 24px;
}
.contant-section .section-content .footer-link{
    white-space: nowrap;
    margin-bottom: 20px;
    padding-bottom: 10px;
    font-size: 16px;
    color: var(--Primary-color);
}
.contant-section .section-content .footer-link:hover{
    color: #77c065;
    
}
/*Footer*/
.footer-section{
    background-color: var(--background-color);
}
.footer-section .section-content .footer-content{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding-bottom: 50px;
}
.footer-image{
    width: 170px;
    height: 80px;
}
.footerparagraph{
    text-transform: uppercase;
}
.copyright{
    font-weight: 500;
    text-transform: uppercase;
}

/*Products page*/
.title-section{
    background-color: var(--background-color);
}
.title-content{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    max-width: 600px;
    margin: auto;
}
.product-title .product-header{
    font-size: 23px;
    margin: 25px 0px 5px;
    font-weight: 600;
    text-transform: uppercase;
}
.product-title .title-header{
    font-size: 60px;
    margin: 8px 0px 35px;
    text-transform: uppercase;
}
.product-title .paragraph-header{
    font-size: 19px;
    margin: 0px 0px 25px;
}
.product-title .paragraph-header .grow{
    color: #77c065;
}
/*Contact page*/
.info-section{
    background-color: var(--background-color);
}
.info-section .section-content{
    padding-bottom: 70px;
}
.info-title {
    text-align: center;
}
.info-title .info-header{
    font-size: 50px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 20px;
}
.info-title .info-email{
    font-size: 30px;
    line-height: 1.6;
    font-weight: 500;
    color: #77c065;
}
.info-title .info-email:hover{
    color: #377128;
}
.Store-section{
    background-color: var(--background-color);
}
.Store-section .section-content{
    background-color: var(--background-color);
    display: grid;
    grid-template-columns: 1fr 1fr;
    text-align: left;
    margin: 0 auto;
    padding: 0px 15px;
    max-width: 1200px;
    padding-bottom: 100px;
}
.Store-content .Store-heading{
    font-size: 35px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 20px;
}
.Store-content .Storeparagraph{ 
    font-size: 18px;
    line-height: 1.6;
}
.picture-section{
    background-color: var(--background-color);
}
.picture-section .picture-title{
    max-width: 1200px;
    margin: 0 auto;
    padding: 40px 20px;
}
.picture-section .picture-title .farm-user{
    display: block;
    width: 100%;
    height: auto;
    margin: 0 auto 36px;
    border-radius: 4px;
    object-fit: cover;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.04);
}
.vert-section{
    background-color: var(--background-color);
}
.vert-section .vert-content{
    max-width: 1200px;
    margin: 0 auto;
    padding: 10px 20px;
    display: grid;
    grid-template-columns: 1.2fr 1fr;
    gap: 40px;
    align-items: start;
}
.vert-title .vert-header{
    font-size: 42px;
    font-weight: 800;
    margin-bottom: 20px;
}
.side-paragraph{
    font-size: 24px;
}
.side-farm{
    width: 100%;
    height: auto;
    display: block;
    border-radius: 4px;
    object-fit: cover;
}
.image-caption{
    font-size: 16px;
    margin-top: 10px;
}
.text-section{
    background-color: var(--background-color);
}
.text-section .text-content{
    background-color: var(--background-color);
    max-width: 1150px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 80px;
    row-gap: 50px;
    padding-top: 20px;
    padding-bottom: 100px;
    align-items: start;
}
.feature-title{
    margin-bottom: 20px;
}
.feature-title h2{
    font-size: 35px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 15px;
}
.feature-title p{
    font-size: 22px;
    margin-top: 0;
}

@media screen and (max-width: 1024px){
    .hero-image1{
        background-image: url(Images/Bodyview.png);
        display: none;
    }
    .product-section .product-list{
        gap: 30px;
    }
    .product-section .product-list .product-item{
        width: calc(100% / 3 - 30px);
    }
    .block-section .block-list{
        gap: 20px;
    }
    .block-section .block-list .block-item{
        width: calc(100% / 3 - 32px);
    }
}
@media screen and (max-width: 900px){
    .hero-image1{
        display: none;
    }
    .vert-section .vert-content{
        grid-template-columns: 1fr;
        text-align: center;
    }
    .vert-title .vert-header{
        text-align: center;
    }
    .side-farm{
        margin-top: 20px;
    }
    .text-section .text-content{
        grid-template-columns: 1fr;
    }
    .Store-section .section-content{
        grid-template-columns: 1fr;
    }
    .navbar .nav-menu{
        display: block;
        position: fixed;
        left: 0;
        top: 0;
        width: 300px;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 150px;
        background: #475f37;
    }
    .navbar .nav-menu .nav-link{
        color: white;
        display: block;
        margin-top: 17px;
        font-size: 32px;
        font-weight: var(--font-weight-normal);
    }
    .navbar :where(#menu-close-button, #menu-open-button){
        display: block;
        font-size: var(--font-size-l);
    }
    .navbar #menu-open-button{
        color: var(--white-color);
    }
    .navbar #menu-close-button{
        position: absolute;
        right: 30px;
        top: 30px;
    }
    .navbar .nav-menu{
        display: block;
        position: fixed;
        left: -300px;
        top: 0;
        width: 300px;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 100px;
        background: #475f37;
        transition: left 0.2s ease;
    }
    body.show-mobile-menu .navbar .nav-menu{
        left: 0;
    }
    body.show-mobile-menu header::before{
        content: "";
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        backdrop-filter: blur(5px);
        background: rgba(0, 0, 0, 0.2);
    }
    .green-section .section-content{
        gap: 50px;
        padding: 30px 20px 20px;
        display: block;
        position: relative;
    }
    .green-section .img{
        max-width: 100%;
        margin-top: -100px;
        padding-left: 15px;
        padding-right: 15px;
        display: inline-block;
    }
    .green-section .green-image-wrapper{
        padding: 10px 0px 0px 50px;
    }
    .green-section .green-details{
        padding-top: 0;
        padding-bottom: 0;
        padding-left: 15px;
    }
    .green-section .green-details .title{
        margin: -180px 0px 10px;
        font-size: 45px;
    }
    
    .green-section .green-details .subtitle:is(.subtitle){
        max-width: 100%;
    }

    :root{
        --font-size-m: 1rem;
        --font-size-l: 1.3rem;
        --font-size-xl: 1.5rem;
        --font-size-xxl: 1.8rem;
    }
    .product-section .product-list{
        gap: 10px;
    }
    .product-section .product-list .product-item{
        width: calc(100% / 2 - 10px);
    }
    .product-section .product-list .product-item .product-image{
        max-width: 350px;
    }
    .block-section .block-list{
        gap: 10px;
    }
    .block-section .block-list .block-item{
        width: calc(100% / 2 - 32px);
    }
    .contant-section .section-content .contact-content{
        display: none;
    }
}
@media screen and (max-width: 640px){
    .hero-image1{
        background-image: url(Images/Bodyview.png);
        max-width: 100%;
        display: inline-block;
        vertical-align: middle;
        align-items: center;
        background-repeat: no-repeat;
        transform: none;
        background-position: center center;
        background-size: cover;
    }
    .hero-image{
        display: none;
    }
    .product-section .product-list{
        gap: 20px;
    }
    .product-section .product-list .product-item{
        width: 100%;
    }
    .block-section .block-list{
        gap: 10px;
    }
    .block-section .block-list .block-item{
        width: 100%;
    }
    .testimonials-section .slider-wrapper{
        margin: 0 0 30px;
    }
    .testimonials-section .swiper-slide-button{
        display: none;
    }
    .footer-section .section-content{
        flex-direction: column;
        gap: 20px;
    }
    .contant-section .section-content .learn-content{
        display: none;
    }
    .contant-section .section-content .contact-content{
        display: none;
    }


}